

    if(argc < 3)
        print_help();

    for(i=1; i<argc; i++) {
        if(!argv[i])
            continue;
        if(argv[i][0] != '-') {
            if(!xstrncmp(argv[i], XT("if="), 3)) {
                in_name = argv[i]+3;
                continue;
            } else
            if(!xstrncmp(argv[i], XT("of="), 3)) {
                out_name = argv[i]+3;
                continue;
            } else
            if(!xstrncmp(argv[i], XT("log="), 3)) {
                log_name = argv[i]+4;
                continue;
            } else
            if(!xstrncmp(argv[i], XT("seek="), 5)) {
                xscanf(argv[i]+5, XT("%I64d"), &seek);
                block_seek = TRUE;
                mlt = get_num(argv[i]+5, &block_seek);
                seek *= mlt;
                continue;
            } else
            if(!in_name) {
                in_name = argv[i];
                continue;
            } else
            if(!out_name) {
                out_name = argv[i];
                continue;
            } else {
                print_help();
            }
        }
        j=1;
        break_sw = 0;
        while(!break_sw &&
              (a = argv[i][j]) && (a != ' ') && (a != '\t')) {
            switch(a) {
            case 'o' :
                a = argv[i][j+1];
                block_seek = FALSE;
                if(!argv[i+1])
                  print_help();
                if(a) {
                  mlt = get_num(&(argv[i][j+1]), &block_seek);
                } else {
                  mlt = get_num(argv[i+1], &block_seek);
                }
                i++;
                xscanf(argv[i], XT("%I64d"), &seek);
                seek *= mlt;
                break_sw = 1;
                break;
            case 'L' :
                i++;
                if(!argv[i])
                    print_help();
                log_name = argv[i];
                break_sw = 1;
                break;
            case 'l' :
                list_msg = 1;
                automated = 0;
                break_sw = 1;
                break;
            case 'k' :
                keep_msg = 1;
                automated = 0;
                break_sw = 1;
                break;
            case 'a' :
//            case 'x' :
                list_msg = 0;
                automated = 1;
                skip_deleted = TRUE;
                break_sw = 1;
                break;
            case 'm' :
                i++;
                if(!argv[i])
                    print_help();
                xscanf(argv[i], XT("%d"), &skip_msg);
                break_sw = 1;
                break;
            case 'M' :
                i++;
                if(!argv[i])
                    print_help();
                xscanf(argv[i], XT("%d"), &lim_msg);
                break_sw = 1;
                break;
            case 'd' :
                a = argv[i][j+1];
                if(a == '+') {
                  skip_deleted = FALSE;
                } else
                if(a == '-') {
                  skip_deleted = TRUE;
                }
                break_sw = 1;
                break;
            case '?' :
            default:
                print_help();
            }
            j++;
        }
    }

    if(!in_name || (!out_name && !list_msg && !automated))
        print_help();

    if(out_name && automated)
        print_help();

    if(log_name) {
        log_h = CreateFileX(log_name, GENERIC_READ | GENERIC_WRITE, FILE_SHARE_READ,
                          NULL,
                          CREATE_ALWAYS,
                          FILE_ATTRIBUTE_NORMAL /*| FILE_FLAG_NO_BUFFERING*//* | FILE_FLAG_SEQUENTIAL_SCAN*/,
                          NULL);
        if(log_h == (HANDLE)(-1)) {
            read_bytes = GetLastError();
            xprintf(XT("Can't create log file %s\n")
                   XT("exiting...\n"), log_name);
            exit (-6);
        }
    }
